
Instalables de gvSIG Batoví - Task #196
Task # 52 (Closed): 6.1 Preparar instalable con soporte para mapas temáticos y algunos mapas temáticos básicos. 
Probar en los ceibalitas
01/23/2012 04:25 PM - Jose Manuel Vivó Arnal

Status: Fixed Start date: 01/23/2012
Priority: Normal Due date: 02/09/2012
Assignee: Jose Manuel Vivó Arnal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v1.0.0-Beta1 Spent time: 0.00 hour
Description

Probar la actividad en los ceibalitas

History
#1 - 01/23/2012 04:29 PM - Jose Manuel Vivó Arnal

me he encontrado un problema muy gordo: el acceso a root está capado en los equipos.

Rebuscado he encontrado esta actividad http://activities.sugarlabs.org/es-ES/sugar/addon/4285 que empaqueta un jre 1-6 de sun.

Otra opción es este documento http://ceibal.edu.uy/contenidos/java/XOJava.pdf que explica como bajarse en _.bin_de la web de oracle e instalarlo
desde el shell.

fuente: http://www.mediagala.com/rap/foro/viewtopic.php?f=8&#38;t=166

#2 - 01/23/2012 04:33 PM - Jose Manuel Vivó Arnal

en el azul está instalado por defecto el gij pero no se como funcionar gvSIG con ell... ahora lo probaré

#3 - 01/23/2012 05:12 PM - Jose Manuel Vivó Arnal

la actividad "Java" ocupa 48Mb

#4 - 01/24/2012 12:49 PM - Jose Manuel Vivó Arnal

En el azul, con el gcj que lleva preinstalado gvSIG no arranca.

Instalando la actividad "Java" si funciona pero incrementando la memoria. Voy a ver que memoria es la mínima con la que arranca.

En el verde va a estar muy justito.

#5 - 01/24/2012 04:26 PM - Jose Manuel Vivó Arnal

El verde arranca sin la imagen de fondo de gvSIG:

    -  El script de configuración la sustituye por una muy sencilla de 300x300 indexada (8 colores).

05/18/2024 1/3

http://activities.sugarlabs.org/es-ES/sugar/addon/4285
http://ceibal.edu.uy/contenidos/java/XOJava.pdf
http://www.mediagala.com/rap/foro/viewtopic.php?f=8&#38;t=166


Con respecto a raster:

    -  El Fedora en el que se basa el S.O de los cacharros usa un libc-2.10.2.so por lo que gdal no funciona.

#6 - 01/24/2012 05:22 PM - Jose Manuel Vivó Arnal

Jose Manuel Vivó Arnal wrote:

El verde arranca sin la imagen de fondo de gvSIG:
    -  El script de configuración la sustituye por una muy sencilla de 300x300 indexada (8 colores).

Aún así no arranca dependiendo de la memoria libre en ese momento se abre o no.

#7 - 01/24/2012 05:27 PM - Jose Manuel Vivó Arnal

Jose Manuel Vivó Arnal wrote:

Jose Manuel Vivó Arnal wrote:

El verde arranca sin la imagen de fondo de gvSIG:
    -  El script de configuración la sustituye por una muy sencilla de 300x300 indexada (8 colores).

Aún así no arranca dependiendo de la memoria libre en ese momento se abre o no.

Comprobado... si no hay nada cargado arranca, pero, en cuanto intentes arrancar un simple terminal el equipo se queda frito ( probablemente
moviendo a swap todo gvSIG y volviendo a cargarlo ).

#8 - 01/24/2012 05:50 PM - Jose Manuel Vivó Arnal

Subo los cambios ya que en el azul funciona. Dejo la memoria un poco mas alta para ello.  r103

#9 - 01/25/2012 05:53 PM - Jose Manuel Vivó Arnal

Añadido soporte para profiles que permitan ajustar los parámetros para según que máquina. r105

Aún así, no hay una configuración buena para los verdes ya que gvSIG a la mínima, actualmente, son mas de 100M de memoria (80M de Heap y 50 M
de PermGen) y, arrancado la aplicación y añadiendo un par de mapas, el proceso se queda frito y el sistema termina matandolo.

#10 - 01/26/2012 11:38 AM - Jose Manuel Vivó Arnal
- Status changed from New to In progress

#11 - 01/27/2012 09:19 AM - Jose Manuel Vivó Arnal
- Status changed from In progress to New

Jose Manuel Vivó Arnal wrote:
Con respecto a raster:
    -  El Fedora en el que se basa el S.O de los cacharros usa un libc-2.10.2.so por lo que gdal no funciona.

Un cat /etc/fedora-release dice:

OLPC release 10 (based on Fedora 11)

O por lo menos en el verde

#12 - 01/31/2012 08:22 AM - Jose Manuel Vivó Arnal
- Tracker changed from Bugs to Task

#13 - 01/31/2012 08:25 AM - Jose Manuel Vivó Arnal
- Target version set to v1.0.0-Beta1

#14 - 02/10/2012 09:48 AM - Jose Manuel Vivó Arnal
- Due date set to 02/09/2012
- Status changed from New to Fixed

Probado tanto el gvSIG Batoví y MapViewer

#15 - 04/02/2012 11:18 AM - Cesar Ordiñana
- Assignee set to Jose Manuel Vivó Arnal
